Subject: bug#31495: 26.1; filename completion -vs- "*"

From: Michael Albinus <[email-masked]>
Date: Thu, 21 Jun 2018 09:19:17 +0200

Tino Calancha <[email-masked]> writes:

Hi Tino,

this discussion is going offtopic. Maybe you write a bug report?

> I find-grep 'zsh' in doc, and I found from tramp manual just this:
> When using zsh on remote hosts, disable zsh line editor because zsh
> uses left-hand side and right-hand side prompts in parallel.  Add the
> following line to @file{~/.zshrc}:
>
> @example
> [[ $TERM == "dumb" ]] && unsetopt zle && PS1='$ ' && return
> @end example
>
> Then, I add such line in
> ~/.zsh
> and
> /root/.zsh
> sudo ln -sf /bin/zsh /bin/sh
> emacs -Q
> C-x d /sudo::/bin
> ;; I don't get prompt for root password

Please eval (setq tramp-verbose 10) prior opening your remote
directory. There will be a Tramp debug buffer; pls show it.

Out of curiosity, why do you edit ~/.zsh and /root/.zsh? The manual
speaks about ~/.zshrc (I'm not an zsh user, so I don't know what I'm
speaking about).

Best regards, Michael.